import { select, json, tree, hierarchy, linkHorizontal } from 'd3';

const svg = select('svg').attr('transform', `translate(10, 0)`);
const trees = svg.append('g');
const crumbs = svg.append('g');
const width = document.body.clientWidth;
const height = document.body.clientHeight;

let data;
let breadCrumbs;
let treeLayout = tree().size([width-800, height-60])

svg
  .attr('width', width)
  .attr('height', height)


const render = () => {
  let treemapLayout = d3.treemap()
    .size([400, 200])
    .paddingTop(20)
    .paddingInner(2);
  
  
}


json('data.json')
  .then(loadedData => {
    data = loadedData
    render()
  });